using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;
using Decal.Interop.Net;

namespace Decal.Interop.Filters;

[ComImport]
[Guid("236B3F19-8F40-492B-A462-0EB4447A6296")]
[SuppressUnmanagedCodeSecurity]
[TypeLibType(4096)]
[InterfaceType(2)]
public interface IEchoSink
{
	[MethodImpl(MethodImplOptions.PreserveSig | MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	[DispId(1)]
	void EchoMessage([MarshalAs(UnmanagedType.Interface)] IMessage pMsg);
}
